<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__dma__descriptor__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_dma_descriptor_t</compoundname>
    <includes local="no">cy_dma.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__dma__descriptor__t_1a45bc325868e8ba10326288b6b0516472" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::ctl</definition>
        <argsstring />
        <name>ctl</name>
        <briefdescription>
<para>0x00000000 Descriptor control </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="404" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="404" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__t_1aa6be73e632875cd0762f5b82c05d88b9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::src</definition>
        <argsstring />
        <name>src</name>
        <briefdescription>
<para>0x00000004 Descriptor source </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="405" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="405" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__t_1ac19aa103094426c66c12a8680df33460" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::dst</definition>
        <argsstring />
        <name>dst</name>
        <briefdescription>
<para>0x00000008 Descriptor destination </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="406" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="406" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__t_1a9b8e7779bdb78126c5267f1ad8d657ce" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::xCtl</definition>
        <argsstring />
        <name>xCtl</name>
        <briefdescription>
<para>0x0000000C Descriptor X loop control </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="407" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="407" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__t_1a0398909e4e607b1ad218c23e1e8d7de9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::yCtl</definition>
        <argsstring />
        <name>yCtl</name>
        <briefdescription>
<para>0x00000010 Descriptor Y loop control </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="408" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="408" />
      </memberdef>
      <memberdef id="structcy__stc__dma__descriptor__t_1a5a4b7a5d21ed52dc47bf239bfa547b2b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_dma_descriptor_t::nextPtr</definition>
        <argsstring />
        <name>nextPtr</name>
        <briefdescription>
<para>0x00000014 Descriptor next pointer </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="409" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="409" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DMA descriptor structure type. </para>    </briefdescription>
    <detaileddescription>
<para>It is a user/component-declared structure allocated in RAM. The DMA HW requires a pointer to this structure to work with it.</para><para>For advanced users: the descriptor can be allocated even in flash, then the user manually predefines all the structure items with constants. This is because most of the driver's API (especially functions modifying descriptors, including <ref kindref="member" refid="group__group__dma__descriptor__functions_1gab1610fab6f2dd5fd25c031ac0aa9d8cb">Cy_DMA_Descriptor_Init()</ref>) can't work with read-only descriptors. </para>    </detaileddescription>
    <location bodyend="410" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" bodystart="402" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_dma.h" line="403" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1a45bc325868e8ba10326288b6b0516472" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>ctl</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1ac19aa103094426c66c12a8680df33460" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>dst</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1a5a4b7a5d21ed52dc47bf239bfa547b2b" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>nextPtr</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1aa6be73e632875cd0762f5b82c05d88b9" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>src</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1a9b8e7779bdb78126c5267f1ad8d657ce" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>xCtl</name></member>
      <member prot="public" refid="structcy__stc__dma__descriptor__t_1a0398909e4e607b1ad218c23e1e8d7de9" virt="non-virtual"><scope>cy_stc_dma_descriptor_t</scope><name>yCtl</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>